'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = cacheCmd;

var _rimraf = require('rimraf');

var _rimraf2 = _interopRequireDefault(_rimraf);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _config = require('./config');

var config = _interopRequireWildcard(_config);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * print help if invoked without any further sub-command, empty the cache
 * directory (delete it) if invoked via `ied cache clean`.
 * @param  {String} cwd - current working directory.
 * @param  {Object} argv - parsed command line arguments.
 */
function cacheCmd(cwd, argv) {
	switch (argv._[1]) {
		// `ied cache clean`
		case 'clean':
			var shasum = argv._[2];
			if (shasum) {
				_rimraf2.default.sync(_path2.default.join(config.cacheDir, shasum));
			} else {
				_rimraf2.default.sync(config.cacheDir);
			}
			break;
		// `ied cache`
		default:
			var helpCmd = require('./help_cmd').default;
			helpCmd(cwd, argv);
	}
}