'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = configCmd;

var _config = require('./config');

var config = _interopRequireWildcard(_config);

var _easyTable = require('easy-table');

var _easyTable2 = _interopRequireDefault(_easyTable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/**
 * print the used configuration object as an ASCII table.
 */
function configCmd() {
	var table = new _easyTable2.default();
	var keys = Object.keys(config);
	var _iteratorNormalCompletion = true;
	var _didIteratorError = false;
	var _iteratorError = undefined;

	try {
		for (var _iterator = keys[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
			var key = _step.value;

			var value = config[key];
			table.cell('key', key);
			table.cell('value', value);
			table.newRow();
		}
	} catch (err) {
		_didIteratorError = true;
		_iteratorError = err;
	} finally {
		try {
			if (!_iteratorNormalCompletion && _iterator.return) {
				_iterator.return();
			}
		} finally {
			if (_didIteratorError) {
				throw _iteratorError;
			}
		}
	}

	console.log(table.toString());
}