'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = initCmd;

var _initPackageJson = require('init-package-json');

var _initPackageJson2 = _interopRequireDefault(_initPackageJson);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _config = require('./config');

var config = _interopRequireWildcard(_config);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * initialize a new `package.json` file.
 * @param  {String} cwd - current working directory.
 * @see https://www.npmjs.com/package/init-package-json
 */
function initCmd(cwd) {
	var initFile = _path2.default.resolve(config.home, '.ied-init');

	(0, _initPackageJson2.default)(cwd, initFile, function (err) {
		if (err) {
			if (err.message === 'canceled') {
				console.log('init canceled!');
				return;
			}
			throw err;
		}
	});
}