'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = shellCmd;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _config = require('./config');

var config = _interopRequireWildcard(_config);

var _child_process = require('child_process');

var _util = require('./util');

var _map = require('rxjs/operator/map');

var _do2 = require('rxjs/operator/do');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * enter a new session that has access to the CLIs exposed by the installed
 * packages by using an amended `PATH`.
 * @param {String} cwd - current working directory.
 */
function shellCmd(cwd) {
	var _context;

	var binPath = _path2.default.join(cwd, 'node_modules/.bin');
	var env = Object.create(process.env);
	env.PATH = [binPath, process.env.PATH].join(_path2.default.delimiter);

	return (_context = (_context = (0, _util.readdir)(binPath), _do2._do).call(_context, function (cmds) {
		return console.log('\nadded', cmds.join(', '), '\n');
	}), _map.map).call(_context, function () {
		return (0, _child_process.spawn)(config.sh, [], { stdio: 'inherit', env: env });
	});
}