'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = unlinkCmd;

var _ArrayObservable = require('rxjs/observable/ArrayObservable');

var _mergeMap = require('rxjs/operator/mergeMap');

var _link = require('./link');

/**
 * unlink one or more previously linked dependencies. can be invoked via
 * `ied unlink`. E.g. `ied unlink browserify tap webpack` would unlink all
 * _three_ dependencies.
 * @param  {String} cwd - current working directory.
 * @param  {Object} argv - parsed command line arguments.
 * @return {Observable} - observable sequence.
 */
function unlinkCmd(cwd, argv) {
  var _context;

  var names = argv._.slice(1);

  return names.length ? (_context = _ArrayObservable.ArrayObservable.create(names), _mergeMap.mergeMap).call(_context, function (name) {
    return (0, _link.unlinkFromGlobal)(cwd, name);
  }) : (0, _link.unlinkToGlobal)(cwd);
}